> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取客户



## OpenAPI

````yaml cn-openapi-reseller GET /api/{PARTNER_NAME}/customers
openapi: 3.0.1
info:
  title: Brightdata API
  description: 将 Bright Data API 集成到您的数据管道中，确保高精度爬取
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/customers:
    get:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: 将处理您请求的代理区域名称。
          required: true
          schema:
            type: string
        - in: query
          name: active
          description: |-
            可为 `0`、`1` 或留空。

            如果为 `0` - 仅返回非活跃客户。

            如果为 `1` - 仅返回活跃客户。

            如果为空 - 返回全部。
          required: false
          schema:
            type: number
            enum:
              - 0
              - 1
              - null
        - in: query
          name: limit
          description: 每页返回的最大账户数量
          required: false
          schema:
            type: integer
            default: 1000
        - in: query
          name: page
          description: 返回的页码
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                example:
                  total: 1
                  page: 1
                  pages: 1
                  per_page: 1
                  customers:
                    - id: ex_7f531897
                      start: '2024-05-02T00:00:00.000Z'
                      active: true
                      zone: dedicated_dc
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。


        **认证方法:**

        1. 从 Bright Data 账户设置获取您的 API Key:
        https://brightdata.com/cp/setting/users

        2. 在请求的 Authorization 头中包含 API Key

        3. 格式: `Authorization: Bearer YOUR_API_KEY`


        **示例:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        了解如何获取 Bright Data API Key:
        https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key？
      bearerFormat: API Key

````